Get Training Progress Route
curl --request GET \
--url https://api.trajectory.ai/api/v1/train/{training_run_id}/progress \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.trajectory.ai/api/v1/train/{training_run_id}/progress"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trajectory.ai/api/v1/train/{training_run_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"training_run_id": "<string>",
"status": "<string>",
"completed_steps": 123,
"failure": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"context": {}
},
"total_steps": 123
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}training
Get Training Progress Route
GET
/
api
/
v1
/
train
/
{training_run_id}
/
progress
Get Training Progress Route
Authorizations
Organization API key
Path Parameters
Response
Successful Response
Training run whose progress is returned.
Recorded status of the training run.
Training steps of the run that have recorded a trainer metric.
Structured failure details when the training run failed.
Show child attributes
Show child attributes
Steps the run's config budgets, or null when it set no budget.
⌘I